service: reverse-proxy

provider:
  name: aws
  runtime: nodejs8.10
  region: eu-central-1
  stage: ${file(./config.yml):ENV}

functions:
  proxy:
    handler: handler.proxy
    events:
      - http:
          path: /{proxy+}
          method: any
    environment:
      TARGET_HOST: ${file(./config.yml):TARGET_HOST}
      TARGET_PORT: ${file(./config.yml):TARGET_PORT}
